Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122238

Summary: Review Request: nodejs-simple-is - Maximally minimal type-testing library
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 19:01:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1122219    

Description Ralph Bean 2014-07-22 19:06:10 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-simple-is.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-simple-is-0.2.0-1.fc20.src.rpm

Description:
A maximally minimal type-testing library. Use it to make your code more
readable. Works in node and browsers.

Comment 1 Parag AN(पराग) 2014-07-23 13:41:58 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-simple-is.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :269988af50ce0ea1a92d389473548ebf95c7e57d9a236880b335897018853547
upstream tarball :269988af50ce0ea1a92d389473548ebf95c7e57d9a236880b335897018853547

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:39:06 UTC
New Package SCM Request
=======================
Package Name: nodejs-simple-is
Short Description: Maximally minimal type-testing library
Upstream URL: https://npmjs.org/package/simple-is
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:44:57 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 18:59:34 UTC
nodejs-simple-is-0.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-simple-is-0.2.0-1.fc20

Comment 5 Fedora Update System 2014-07-23 18:59:44 UTC
nodejs-simple-is-0.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-simple-is-0.2.0-1.fc19

Comment 6 Ralph Bean 2014-07-23 19:01:02 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:31:38 UTC
nodejs-simple-is-0.2.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:48:49 UTC
nodejs-simple-is-0.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.